<div class="col-md-6 offset-md-3 mt-5">
  <div class="row">
     <div class="align-items-center mb-1">
        <h3 class="text-center text-primary pt-5">Register form</h3>
        <div class="card-body">
           <form [formGroup]="offerForm" (ngSubmit)="onSubmit()">
           <div class="row mt-3 form-group">
              <div class="col-md-12">
                 <label for="title" class="labels">Title</label>
                 <input type="text" class="form-control" placeholder="Job title" formControlName="title" id="firstName">
              </div>
              <div class="col-md-12">
                 <label for="role" class="labels">Type</label>
                 <select  formControlName="type" id="type" class="form-control dropdown">
                 <option *ngFor="let type of types" [ngValue] = 'type'>
                 {{type}}
                 </option>
                 </select>
              </div>
              <div class="col-md-12">
                 <label for="category" class="labels">Category</label>
                 <select  formControlName="category" id="category" class="form-control dropdown">
                 <option *ngFor="let category of categories" [ngValue] = 'category'>
                 {{category}}
                 </option>
                 </select>
              </div>
              <div class="col-md-12">
                 <label for="content" class="labels">Description:</label>
                 <textarea type="text" class="form-control"
                           formControlName="content" id="content"
                           placeholder="Content..." rows="3" cols="50"> </textarea>
              </div>
           </div>
           <div class="row mt-2">
              <div class="mt-2 col-md-2 text-center">
                 <button class="btn btn-primary profile-button" type="submit">Create</button>
              </div>
           </div>
           </form>
        </div>
     </div>
  </div>
</div>
